Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# SSL_Asynch_BIO.cpp File Reference

`#include "SSL_Asynch_BIO.h"`
`#include "SSL_Asynch_Stream.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for SSL_Asynch_BIO.cpp:

## Classes
struct | ACE_SSL_Asynch_Stream_Accessor
## OpenSSL BIO Helper Methods for use with ACE's Asynchronous
SSL I/O support.
| ACE_RCSID (ACE_SSL, SSL_Asynch_BIO,"$Id: SSL_Asynch_BIO.cpp,v 1.11 2005/12/04 01:57:32 ossama Exp $") extern"C"
## Defines
#define | ACE_ASYNCH_BIO_WRITE_NAME ACE_Asynch_BIO_write
#define | ACE_ASYNCH_BIO_READ_NAME ACE_Asynch_BIO_read
#define | ACE_ASYNCH_BIO_PUTS_NAME ACE_Asynch_BIO_puts
#define | ACE_ASYNCH_BIO_CTRL_NAME ACE_Asynch_BIO_ctrl
#define | ACE_ASYNCH_BIO_NEW_NAME ACE_Asynch_BIO_new
#define | ACE_ASYNCH_BIO_FREE_NAME ACE_Asynch_BIO_free
#define | BIO_TYPE_ACE ( 21 | BIO_TYPE_SOURCE_SINK )
## Functions
ACE_BEGIN_VERSIONED_NAMESPACE_DECL BIO * | ACE_SSL_make_BIO (void *ssl_asynch_stream)
## Variables
BIO_METHOD | methods_ACE

## Define Documentation

#define ACE_ASYNCH_BIO_CTRL_NAME ACE_Asynch_BIO_ctrl

#define ACE_ASYNCH_BIO_FREE_NAME ACE_Asynch_BIO_free

#define ACE_ASYNCH_BIO_NEW_NAME ACE_Asynch_BIO_new

#define ACE_ASYNCH_BIO_PUTS_NAME ACE_Asynch_BIO_puts

#define ACE_ASYNCH_BIO_READ_NAME ACE_Asynch_BIO_read

#define ACE_ASYNCH_BIO_WRITE_NAME ACE_Asynch_BIO_write

#define BIO_TYPE_ACE ( 21 | BIO_TYPE_SOURCE_SINK )

## Function Documentation

ACE_RCSID | ( | ACE_SSL | ,
|  | SSL_Asynch_BIO | ,
|  | "$Id: SSL_Asynch_BIO. | cpp,
|  | v 1.11 2005/12/04 01:57:32 ossama Exp $" |
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL BIO* ACE_SSL_make_BIO | ( | void * | ssl_asynch_stream | ) |

## Variable Documentation

BIO_METHOD methods_ACE`[static]`

| Initial value:
      {
        BIO_TYPE_ACE,
        "ACE_Asynch_BIO",
        ACE_ASYNCH_BIO_WRITE_NAME,
        ACE_ASYNCH_BIO_READ_NAME,
        ACE_ASYNCH_BIO_PUTS_NAME,
        NULL,
        ACE_ASYNCH_BIO_CTRL_NAME,
        ACE_ASYNCH_BIO_NEW_NAME,
        ACE_ASYNCH_BIO_FREE_NAME,
        NULL
      }